# Constant Field Values

## Contents

- uk.ac.*

## uk.ac.*

uk.ac.starlink.fits.AbstractWideFits
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_ICOL_CONTAINER`
`"XT_ICOL"`
`public static final String`
`KEY_NCOL_EXT`
`"XT_NCOL"`
uk.ac.starlink.fits.BlockManager
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BLOCKSIZE`
`268435456`
uk.ac.starlink.fits.BlockMappedInput
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_EXPIRYMILLIS`
`20000L`
uk.ac.starlink.fits.FitsUtil
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_LENG`
`2880`
`public static final int`
`CARD_LENG`
`80`
`public static final int`
`CARDS_PER_BLOCK`
`36`
`public static final String`
`FLOAT_REGEX`
`"(?:[+-]?(?:[0-9]*\\.[0-9]+|[0-9]+\\.?))(?:[ED][+-]?[0-9]+)?"`
`public static final int`
`MAX_NCOLSTD`
`999`
uk.ac.starlink.fits.Unmapper
Modifier and Type
Constant Field
Value
`public static final String`
`UNMAP_PROPERTY`
`"startable.unmap"`
uk.ac.starlink.fits.WideFits
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_NCOLSTD`
`999`

uk.ac.starlink.oldfits.FitsConstants
Modifier and Type
Constant Field
Value
`public static final int`
`FITS_BLOCK`
`2880`
`public static final int`
`MAX_NCOLSTD`
`999`
`public static final String`
`NDARRAY_ORIGIN`
`"NDA_O"`
`public static final String`
`NDARRAY_PREFIX`
`"NDA_"`
`public static final String`
`NDX_PREFIX`
`"NDX_"`
`public static final String`
`NDX_XML`
`"NDX_XML"`
`public static final String`
`WCS_ENCODING`
`"FITS-WCS"`